## ros-indigo-libmavconn 0.17.5

=== debian/changelog ===
ros-indigo-libmavconn (0.17.5-0trusty) trusty; urgency=high

  * Pthread fix for OSX (#650 <https://github.com/mavlink/mavros/issues/650>)
    * fix pthread and missing defines for osx
    * adapted their style using tabs
    * fix elif to else
  * Contributors: Fadri Furrer

 -- Vladimir Ermakov <vooon341@gmail.com>  Tue, 07 Feb 2017 00:00:00 -0000

ros-indigo-libmavconn (0.17.4-0trusty) trusty; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 23 Jun 2016 00:00:00 -0000

ros-indigo-libmavconn (0.17.3-0trusty) trusty; urgency=high

  * libmavconn #543 <https://github.com/mavlink/mavros/issues/543>: support build with mavlink 2.0 capable mavgen
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 20 May 2016 00:00:00 -0000

ros-indigo-libmavconn (0.17.2-0trusty) trusty; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 29 Apr 2016 00:00:00 -0000

ros-indigo-libmavconn (0.17.1-0trusty) trusty; urgency=high

  * MAVConnSerial: Stop io_service before closing serial device (Fixes #130 <https://github.com/mavlink/mavros/issues/130>)
    The serial device was closed before calling io_service.stop() so io_service::run() never returned, leading to hang on join in MAVConnSerial::close()
    
        Backtrace:
    #0  0x00007f80217e966b in pthread_join (threadid=140188059690752, thread_return=0x0) at pthread_join.c:92
    #1  0x00007f80215602d7 in std::thread::join() ()
    #2  0x00007f8020ccc674 in mavconn::MAVConnSerial::close() ()
    #3  0x00007f8020ccc6f5 in mavconn::MAVConnSerial::~MAVConnSerial() ()
    #4  0x00007f8020cc7b2e in boost::detail::sp_counted_impl_pd<mavconn::MAVConnSerial*, boost::detail::sp_ms_deleter<mavconn::MAVConnSerial> >::dispose() ()
    #5  0x000000000040ee0a in boost::detail::sp_counted_base::release() [clone .part.27] [clone .constprop.472] ()
    #6  0x000000000041eb22 in mavros::MavRos::~MavRos() ()
    #7  0x000000000040eb38 in main ()
    
  * Contributors: Kartik Mohta

 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 28 Mar 2016 00:00:00 -0000

ros-indigo-libmavconn (0.17.0-0trusty) trusty; urgency=high

  * rebased with master
  * Contributors: francois

 -- Vladimir Ermakov <vooon341@gmail.com>  Tue, 09 Feb 2016 00:00:00 -0000

ros-indigo-libmavconn (0.16.6-0trusty) trusty; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 04 Feb 2016 00:00:00 -0000

ros-indigo-libmavconn (0.16.5-0trusty) trusty; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 11 Jan 2016 00:00:00 -0000

ros-indigo-libmavconn (0.16.4-0trusty) trusty; urgency=high

  * libmavconn #452 <https://github.com/mavlink/mavros/issues/452>: remove pixhawk, add paparazzi dialects.
    Mavlink package provide information about known dialects,
    so we do not touch mavlink_dialect.h selection ifs.
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 14 Dec 2015 00:00:00 -0000

ros-indigo-libmavconn (0.16.3-0trusty) trusty; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 19 Nov 2015 00:00:00 -0000

ros-indigo-libmavconn (0.16.2-0trusty) trusty; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Tue, 17 Nov 2015 00:00:00 -0000

ros-indigo-libmavconn (0.16.1-0trusty) trusty; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 13 Nov 2015 00:00:00 -0000

ros-indigo-libmavconn (0.16.0-0trusty) trusty; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 09 Nov 2015 00:00:00 -0000

ros-indigo-libmavconn (0.15.0-0trusty) trusty; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 17 Sep 2015 00:00:00 -0000

ros-indigo-libmavconn (0.14.2-0trusty) trusty; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 20 Aug 2015 00:00:00 -0000

ros-indigo-libmavconn (0.14.1-0trusty) trusty; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 19 Aug 2015 00:00:00 -0000

ros-indigo-libmavconn (0.14.0-0trusty) trusty; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 17 Aug 2015 00:00:00 -0000

ros-indigo-libmavconn (0.13.1-0trusty) trusty; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 05 Aug 2015 00:00:00 -0000

ros-indigo-libmavconn (0.13.0-0trusty) trusty; urgency=high

  * libmavconn: simpify exception code.
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 01 Aug 2015 00:00:00 -0000

ros-indigo-libmavconn (0.12.0-0trusty) trusty; urgency=high

  * libmavconn: UDP: Do not exit on Network unreachable error.
    Requested by @mhkabir, idea given by @adamantivm in
    https://github.com/algron/mavros/commit/48fa19f58786387b4aee804e0687d6d39a127806
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 01 Jul 2015 00:00:00 -0000

ros-indigo-libmavconn (0.11.2-0trusty) trusty; urgency=high

  * libmavconn fix #269 <https://github.com/vooon/mavros/issues/269>: override default channel getter helpers
    Default inlined mavlink getter helpers cause issue, when each
    plugin has it's own sequence number.
  * libmavconn #269 <https://github.com/vooon/mavros/issues/269>: add seq number to debug
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Sun, 26 Apr 2015 00:00:00 -0000

ros-indigo-libmavconn (0.11.1-0trusty) trusty; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 06 Apr 2015 00:00:00 -0000

ros-indigo-libmavconn (0.11.0-0trusty) trusty; urgency=high

  * readme: fix links
  * license #242 <https://github.com/vooon/mavros/issues/242>: add license files
  * license #242 <https://github.com/vooon/mavros/issues/242>: update libmavconn headers
  * libmavconn: Fix logging (now all connections use same log name)
    Before i got several names: URL, serial0..
    But severity only changes if i changed first registered tag (URL).
    Now all debug will be enabled by one tag: ros.rosconsole_bridge.mavconn
    And because its only used for debugging that was ok.
  * Contributors: Vladimir Ermakov


